Projects
Snyk API reference for the Projects endpoints, including request parameters and response schemas
Note: For a list of Project types, see Project type responses from the API.
List all Projects for an Org.
Required permissions
View Projects (org.project.read)
API key value must be prefixed with "Token ".
The ID of the org that the projects belong to.
Return projects that belong to the provided targets
Return projects that match the provided target reference
Return projects that match the provided target file
Return projects that match the provided target runtime
The collection count.
Return projects that match the provided IDs.
Return projects that match the provided names.
Return projects with names starting with the specified prefix.
Return projects that match the provided origins.
Return projects that match the provided types.
Include a summary count for the issues found in the most recent scan of this project
Include the total number of dependencies found in the most recent scan of this project
Filter projects uploaded and monitored before this date (encoded value)
2021-05-29T09:50:54.014ZFilter projects uploaded and monitored after this date (encoded value)
2021-05-29T09:50:54.014ZReturn projects that match the provided importing user public ids.
Return projects that match all the provided tags
["key1:value1","key2:value2"]Requested API version
2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$Return the page of results immediately after this cursor
v1.eyJpZCI6IjEwMDAifQo=Return the page of results immediately before this cursor
v1.eyJpZCI6IjExMDAifQo=Number of results to return per page
10Example: 10A list of projects is returned for the targeted org
Bad Request: A parameter provided as a part of the request was invalid.
Unauthorized: the request requires an authentication token.
Forbidden: the request requires an authentication token with more or different permissions.
Not Found: The resource being operated on could not be found.
Internal Server Error: An error was encountered while attempting to process the request.
GET /rest/orgs/{org_id}/projects?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"attributes": {
"build_args": {
"root_workspace": "text"
},
"business_criticality": [
"medium"
],
"created": "2021-05-29T09:50:54.014Z",
"environment": [
"external",
"hosted"
],
"lifecycle": [
"production"
],
"name": "snyk/goof",
"origin": "github",
"read_only": true,
"settings": {
"auto_dependency_upgrade": {
"ignored_dependencies": [
"typescript"
],
"is_enabled": true,
"is_inherited": true,
"is_major_upgrade_enabled": true,
"limit": 10,
"minimum_age": 365
},
"auto_remediation_prs": {
"is_backlog_prs_enabled": true,
"is_fresh_prs_enabled": true,
"is_patch_remediation_enabled": true
},
"manual_remediation_prs": {
"is_patch_remediation_enabled": true
},
"pull_request_assignment": {
"assignees": [
"my-github-username"
],
"is_enabled": true,
"type": "auto"
},
"pull_requests": {
"fail_only_for_issues_with_fix": true,
"is_enabled": true,
"policy": "all",
"severity_threshold": "high"
},
"recurring_tests": {
"frequency": "daily"
}
},
"status": "active",
"tags": [
{
"key": "tag-key",
"value": "tag-value"
}
],
"target_file": "package.json",
"target_reference": "main",
"target_runtime": "text",
"type": "maven"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"meta": {
"cli_monitored_at": "2021-05-29T09:50:54.014Z",
"latest_dependency_total": {
"total": 1,
"updated_at": "2026-01-01T00:00:00.000Z"
},
"latest_issue_counts": {
"critical": 1,
"high": 1,
"low": 1,
"medium": 1,
"updated_at": "2026-01-01T00:00:00.000Z"
}
},
"relationships": {
"importer": {
"data": {
"id": "4a72d1db-b465-4764-99e1-ecedad03b06a",
"type": "resource"
},
"links": {
"related": {
"href": "https://example.com/api/resource/4a72d1db-b465-4764-99e1-ecedad03b06a"
}
}
},
"organization": {
"data": {
"id": "4a72d1db-b465-4764-99e1-ecedad03b06a",
"type": "resource"
},
"links": {
"related": {
"href": "https://example.com/api/resource/4a72d1db-b465-4764-99e1-ecedad03b06a"
}
}
},
"owner": {
"data": {
"id": "4a72d1db-b465-4764-99e1-ecedad03b06a",
"type": "resource"
},
"links": {
"related": {
"href": "https://example.com/api/resource/4a72d1db-b465-4764-99e1-ecedad03b06a"
}
}
},
"target": {
"data": {
"id": "4a72d1db-b465-4764-99e1-ecedad03b06a",
"type": "resource"
},
"links": {
"related": {
"href": "https://example.com/api/resource/4a72d1db-b465-4764-99e1-ecedad03b06a"
}
}
}
},
"type": "project"
}
],
"jsonapi": {
"version": "1.0"
},
"links": {
"first": "https://example.com/api/resource",
"last": "https://example.com/api/resource",
"next": "https://example.com/api/resource",
"prev": "https://example.com/api/resource",
"related": "https://example.com/api/resource",
"self": "https://example.com/api/resource"
},
"meta": {
"count": 1
}
}Updates one project of the organization by project ID.
Required permissions
-
View Organization (org.read) -
View Projects (org.project.read) -
Edit Projects (org.project.edit)
API key value must be prefixed with "Token ".
The ID of the Org the project belongs to.
The ID of the project to patch.
Requested API version
2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$A project is updated for the targeted org
Bad Request: A parameter provided as a part of the request was invalid.
Unauthorized: the request requires an authentication token.
Forbidden: the request requires an authentication token with more or different permissions.
Not Found: The resource being operated on could not be found.
Internal Server Error: An error was encountered while attempting to process the request.
PATCH /rest/orgs/{org_id}/projects/{project_id}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 350
{
"data": {
"attributes": {
"business_criticality": [
"medium"
],
"environment": [
"external",
"hosted"
],
"lifecycle": [
"production"
],
"tags": [
{
"key": "tag-key",
"value": "tag-value"
}
],
"test_frequency": "daily"
},
"id": "331ede0a-de94-456f-b788-166caeca58bf",
"relationships": {
"owner": {
"data": {
"id": "331ede0a-de94-456f-b788-166caeca58bf",
"type": "user"
}
}
},
"type": "project"
}
}{
"data": {
"attributes": {
"build_args": {
"root_workspace": "text"
},
"business_criticality": [
"medium"
],
"created": "2021-05-29T09:50:54.014Z",
"environment": [
"external",
"hosted"
],
"lifecycle": [
"production"
],
"name": "snyk/goof",
"origin": "github",
"read_only": true,
"settings": {
"auto_dependency_upgrade": {
"ignored_dependencies": [
"typescript"
],
"is_enabled": true,
"is_inherited": true,
"is_major_upgrade_enabled": true,
"limit": 10,
"minimum_age": 365
},
"auto_remediation_prs": {
"is_backlog_prs_enabled": true,
"is_fresh_prs_enabled": true,
"is_patch_remediation_enabled": true
},
"manual_remediation_prs": {
"is_patch_remediation_enabled": true
},
"pull_request_assignment": {
"assignees": [
"my-github-username"
],
"is_enabled": true,
"type": "auto"
},
"pull_requests": {
"fail_only_for_issues_with_fix": true,
"is_enabled": true,
"policy": "all",
"severity_threshold": "high"
},
"recurring_tests": {
"frequency": "daily"
}
},
"status": "active",
"tags": [
{
"key": "tag-key",
"value": "tag-value"
}
],
"target_file": "package.json",
"target_reference": "main",
"target_runtime": "text",
"type": "maven"
},
"id": "331ede0a-de94-456f-b788-166caeca58bf",
"links": {
"first": "https://example.com/api/resource",
"last": "https://example.com/api/resource",
"next": "https://example.com/api/resource",
"prev": "https://example.com/api/resource",
"related": "https://example.com/api/resource",
"self": "https://example.com/api/resource"
},
"meta": {
"cli_monitored_at": "2021-05-29T09:50:54.014Z"
},
"relationships": {
"importer": {
"data": {
"id": "4a72d1db-b465-4764-99e1-ecedad03b06a",
"type": "resource"
},
"links": {
"related": {
"href": "https://example.com/api/resource/4a72d1db-b465-4764-99e1-ecedad03b06a"
}
}
},
"organization": {
"data": {
"id": "4a72d1db-b465-4764-99e1-ecedad03b06a",
"type": "resource"
},
"links": {
"related": {
"href": "https://example.com/api/resource/4a72d1db-b465-4764-99e1-ecedad03b06a"
}
}
},
"owner": {
"data": {
"id": "4a72d1db-b465-4764-99e1-ecedad03b06a",
"type": "resource"
},
"links": {
"related": {
"href": "https://example.com/api/resource/4a72d1db-b465-4764-99e1-ecedad03b06a"
}
}
},
"target": {
"data": {
"id": "4a72d1db-b465-4764-99e1-ecedad03b06a",
"type": "resource"
},
"links": {
"related": {
"href": "https://example.com/api/resource/4a72d1db-b465-4764-99e1-ecedad03b06a"
}
}
}
},
"type": "project"
},
"jsonapi": {
"version": "1.0"
},
"links": {
"first": "https://example.com/api/resource",
"last": "https://example.com/api/resource",
"next": "https://example.com/api/resource",
"prev": "https://example.com/api/resource",
"related": "https://example.com/api/resource",
"self": "https://example.com/api/resource"
}
}Get one project of the organization by project ID.
Required permissions
View Projects (org.project.read)
API key value must be prefixed with "Token ".
The ID of the org to which the project belongs to.
The ID of the project.
Include a summary count for the issues found in the most recent scan of this project
Include the total number of dependencies found in the most recent scan of this project
Requested API version
2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$A project is returned for the targeted org
Bad Request: A parameter provided as a part of the request was invalid.
Unauthorized: the request requires an authentication token.
Forbidden: the request requires an authentication token with more or different permissions.
Not Found: The resource being operated on could not be found.
Internal Server Error: An error was encountered while attempting to process the request.
GET /rest/orgs/{org_id}/projects/{project_id}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
"data": {
"attributes": {
"build_args": {
"root_workspace": "text"
},
"business_criticality": [
"medium"
],
"created": "2021-05-29T09:50:54.014Z",
"environment": [
"external",
"hosted"
],
"lifecycle": [
"production"
],
"name": "snyk/goof",
"origin": "github",
"read_only": true,
"settings": {
"auto_dependency_upgrade": {
"ignored_dependencies": [
"typescript"
],
"is_enabled": true,
"is_inherited": true,
"is_major_upgrade_enabled": true,
"limit": 10,
"minimum_age": 365
},
"auto_remediation_prs": {
"is_backlog_prs_enabled": true,
"is_fresh_prs_enabled": true,
"is_patch_remediation_enabled": true
},
"manual_remediation_prs": {
"is_patch_remediation_enabled": true
},
"pull_request_assignment": {
"assignees": [
"my-github-username"
],
"is_enabled": true,
"type": "auto"
},
"pull_requests": {
"fail_only_for_issues_with_fix": true,
"is_enabled": true,
"policy": "all",
"severity_threshold": "high"
},
"recurring_tests": {
"frequency": "daily"
}
},
"status": "active",
"tags": [
{
"key": "tag-key",
"value": "tag-value"
}
],
"target_file": "package.json",
"target_reference": "main",
"target_runtime": "text",
"type": "maven"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"meta": {
"cli_monitored_at": "2021-05-29T09:50:54.014Z",
"latest_dependency_total": {
"total": 1,
"updated_at": "2026-01-01T00:00:00.000Z"
},
"latest_issue_counts": {
"critical": 1,
"high": 1,
"low": 1,
"medium": 1,
"updated_at": "2026-01-01T00:00:00.000Z"
}
},
"relationships": {
"importer": {
"data": {
"id": "4a72d1db-b465-4764-99e1-ecedad03b06a",
"type": "resource"
},
"links": {
"related": {
"href": "https://example.com/api/resource/4a72d1db-b465-4764-99e1-ecedad03b06a"
}
}
},
"organization": {
"data": {
"id": "4a72d1db-b465-4764-99e1-ecedad03b06a",
"type": "resource"
},
"links": {
"related": {
"href": "https://example.com/api/resource/4a72d1db-b465-4764-99e1-ecedad03b06a"
}
}
},
"owner": {
"data": {
"id": "4a72d1db-b465-4764-99e1-ecedad03b06a",
"type": "resource"
},
"links": {
"related": {
"href": "https://example.com/api/resource/4a72d1db-b465-4764-99e1-ecedad03b06a"
}
}
},
"target": {
"data": {
"id": "4a72d1db-b465-4764-99e1-ecedad03b06a",
"type": "resource"
},
"links": {
"related": {
"href": "https://example.com/api/resource/4a72d1db-b465-4764-99e1-ecedad03b06a"
}
}
}
},
"type": "project"
},
"jsonapi": {
"version": "1.0"
},
"links": {
"first": "https://example.com/api/resource",
"last": "https://example.com/api/resource",
"next": "https://example.com/api/resource",
"prev": "https://example.com/api/resource",
"related": "https://example.com/api/resource",
"self": "https://example.com/api/resource"
}
}Delete one project in the organization by project ID.
Required permissions
-
View Organization (org.read) -
View Projects (org.project.read) -
Remove Projects (org.project.delete)
API key value must be prefixed with "Token ".
The ID of the org to which the project belongs to.
The ID of the project.
Requested API version
2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$The project has been deleted
Bad Request: A parameter provided as a part of the request was invalid.
Unauthorized: the request requires an authentication token.
Forbidden: the request requires an authentication token with more or different permissions.
Not Found: The resource being operated on could not be found.
Internal Server Error: An error was encountered while attempting to process the request.
DELETE /rest/orgs/{org_id}/projects/{project_id}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
No content
Delete up to 100 projects in one request. Each project is reported in
meta.deleted or meta.failed, so a partially successful request is
still a 200. A project that does not exist in the org is ignored, and
appears in neither list.
Required permissions
-
View Projects (org.project.read) -
Remove Projects (org.project.delete)
API key value must be prefixed with "Token ".
The ID of the org that the projects belong to.
Requested API version
2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$A summary of the results of the operation
Bad Request: A parameter provided as a part of the request was invalid.
Unauthorized: the request requires an authentication token.
Forbidden: the request requires an authentication token with more or different permissions.
Not Found: The resource being operated on could not be found.
Internal Server Error: An error was encountered while attempting to process the request.
POST /rest/orgs/{org_id}/projects/bulk-delete?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 116
{
"data": [
{
"id": "331ba0db-5d40-486e-ac6b-8865c98a3e15",
"type": "project"
}
],
"meta": {
"exclude_from_future_scans": false
}
}{
"jsonapi": {
"version": "1.0"
},
"meta": {
"deleted": [
{
"id": "331ba0db-5d40-486e-ac6b-8865c98a3e15",
"name": "snyk/goof"
}
],
"failed": [
{
"id": "331ba0db-5d40-486e-ac6b-8865c98a3e15",
"name": "snyk/goof",
"reason": "delete_failed"
}
]
}
}Last updated
Was this helpful?

